<template>
  <div class="base-input__wrapper">
    <input
      :type="type"
      class="base-input"
      :class="{ invalid: !!error }"
      :modelValue="modelValue"
      @input="$emit('update:modelValue', $event.target.value)"
      :placeholder="placeholder"
    />
    <small class="base-input__error" v-if="!!error">{{ error }}</small>
  </div>
</template>

<script>
export default {
  name: 'Input',
  props: {
    type: {
      type: String,
      default: 'text'
    },
    modelValue: {
      type: [String, Number]
    },
    placeholder: {
      type: String
    },
    error: {
      type: String
    }
  },
  emits: ['update:modelValue']
}
</script>
